diff --git a/mods/graphical-general/data/usr/local/bin/wdvn-screenshot b/mods/graphical-general/data/usr/local/bin/wdvn-screenshot
new file mode 100755
index 0000000..0b1c70c
--- /dev/null
+++ b/mods/graphical-general/data/usr/local/bin/wdvn-screenshot
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+set -e
+DIR="$HOME/Pictures/Screenshots"
+FILE="$(date --utc "+%Y.%m.%d-%H.%M.%S").png"
+scrot --freeze --select "$DIR/$FILE"
+xclip -selection clipboard -t image/png -i "$DIR/$FILE"
+notify-send "wdvn-screenshot" "Saved. Copied image to clipboard." -t 2000 --icon="insert-image"
diff --git a/mods/graphical-general/modscript b/mods/graphical-general/modscript
index 1610deb..01e816f 100755
--- a/mods/graphical-general/modscript
+++ b/mods/graphical-general/modscript
@@ -1,3 +1,3 @@
#!/bin/bash
-export WDVN_PACKAGES_DL="$WDVN_PACKAGES_DL xinit unifont netsurf-gtk xautolock xsecurelock qt5-style-plugins alsa-utils synaptic catfish galculator celluloid gpicview xpdf"
+export WDVN_PACKAGES_DL="$WDVN_PACKAGES_DL xinit unifont scrot xclip netsurf-gtk xautolock xsecurelock qt5-style-plugins alsa-utils synaptic catfish galculator celluloid gpicview xpdf"
export WDVN_PACKAGES_REMOVE="$WDVN_PACKAGES_REMOVE xscreensaver"
\ No newline at end of file
diff --git a/mods/graphical-xfce4/data/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml b/mods/graphical-xfce4/data/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
index 21759cd..14aa9be 100644
--- a/mods/graphical-xfce4/data/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
+++ b/mods/graphical-xfce4/data/etc/skel/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-keyboard-shortcuts.xml
@@ -34,7 +34,6 @@
-
@@ -43,8 +42,7 @@
-
-
+
diff --git a/mods/graphical-xfce4/modscript b/mods/graphical-xfce4/modscript
index 1c0a73f..cbe70b8 100755
--- a/mods/graphical-xfce4/modscript
+++ b/mods/graphical-xfce4/modscript
@@ -1,2 +1,2 @@
#!/bin/bash
-export WDVN_PACKAGES_DL="$WDVN_PACKAGES_DL xorg xfce4 xfce4-*-plugin xfce4-power-manager gvfs gvfs-backends gvfs-fuse network-manager-gnome xfce4-terminal xfce4-screenshooter mousepad"
+export WDVN_PACKAGES_DL="$WDVN_PACKAGES_DL xorg xfce4 xfce4-*-plugin xfce4-power-manager gvfs gvfs-backends gvfs-fuse network-manager-gnome xfce4-terminal mousepad"